library ieee;

use  ieee.std_logic_1164.all;

entity tbmcm is
end tbmcm;

architecture tbb of tbmcm is
component mcm_beh is
	port (A,B: in integer range 0 to 255;
	     clk: in std_logic;
		 start: in std_logic;
		 R: out integer;
		 fine: out std_logic);
end component;

signal A,B: integer range 0 to 255;
signal R: integer;
signal clk,start, fine: std_logic;

begin
	dut: mcm_beh port map(A,B,clk,start,R,fine);
	
	process 
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns;
    end process;
	
	start <= '1' after 0 ns, '0' after 10 ns,
			'1' after 41 ns, '0' after 51 ns;
	
	A<= 2 after 0 ns, 5 after 40 ns;
	B<= 3 after 0 ns, 2 after 40 ns;
	
end tbb;
