library ieee; 
use ieee.std_logic_1164.all;

entity contatore is
	port(start,clk: in std_logic;
	conto: out std_logic);
end contatore;

architecture beh of contatore  is
 signal stato: integer range 0 to 3;
begin
	process(start, clk)
	begin
		if start = '1'  then stato <= 0;
		elsif clk'event and clk='0'   then 
			case stato is
				when 0 => stato <= 1;
				when 1 => stato <= 2;
				when 2 => stato <= 3;
				when others => stato <= 0;
			end case;
		end if;
	end process;
end architecture;

	
